> For the complete documentation index, see [llms.txt](https://docs.predicthq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.predicthq.com/api/overview/api-changes.md).

# API Changes

The PredictHQ API may change from time to time. Major changes that break backwards compatibility will be introduced with a new version, but backwards compatible changes may be introduced at any time without notice.

For a full history of product updates, new features, and data quality improvements, see the [Changelog](https://docs.predicthq.com/changelog/).

## Backwards Compatible Changes

The following types of changes may be introduced at any time without notice:

* New fields added to API responses
* New event categories and labels
* New API query parameters
* New API endpoints

## Breaking Changes

Breaking changes that affect backwards compatibility will be introduced with a new API version. We will communicate these changes in advance through the [Changelog](https://docs.predicthq.com/changelog/) and direct customer notifications where applicable.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.predicthq.com/api/overview/api-changes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
